VGT._creatures = {}

function VGT:UnitNameFromGuid(creatureGuid)
    if not creatureGuid then
        return "Unknown"
    end
    local unitType, _, _, _, _, unitId, spawnUID = strsplit("-", creatureGuid)
    unitId = tonumber(unitId)
    return VGT._creatures[unitId] or ("Unknown " .. unitType or "" .. " " .. unitId or "")
end

local function addCreature(id, name)
    VGT._creatures[id] = name
end

addCreature(0, "Unknown")

-- Naxxramas
-- Chests
addCreature(181366, "Four Horsemen Chest")
addCreature(193426, "Four Horsemen Chest")
-- Creatures
addCreature(15928, "Thaddius")
addCreature(15929, "Stalagg")
addCreature(15930, "Feugen")
addCreature(15931, "Grobbulus")
addCreature(15932, "Gluth")
addCreature(15936, "Heigan the Unclean")
addCreature(15952, "Maexxna")
addCreature(15953, "Grand Widow Faerlina")
addCreature(15954, "Noth the Plaguebringer")
addCreature(15956, "Anub'Rekhan")
addCreature(15974, "Dread Creeper")
addCreature(15975, "Carrion Spinner")
addCreature(15976, "Venom Stalker")
addCreature(15977, "Poisonous Skitterer")
addCreature(15978, "Crypt Reaver")
addCreature(15979, "Tomb Horror")
addCreature(15980, "Naxxramas Cultist")
addCreature(15981, "Naxxramas Acolyte")
addCreature(15990, "Kel'Thuzad")
addCreature(16011, "Loatheb")
addCreature(16017, "Patchwork Golem")
addCreature(16018, "Bile Retcher")
addCreature(16020, "Mad Scientist")
addCreature(16021, "Living Monstrosity")
addCreature(16022, "Surgical Assistant")
addCreature(16024, "Embalming Slime")
addCreature(16025, "Stitched Giant")
addCreature(16027, "Living Poison")
addCreature(16028, "Patchwerk")
addCreature(16029, "Sludge Belcher")
addCreature(16034, "Plague Beast")
addCreature(16036, "Frenzied Bat")
addCreature(16037, "Plagued Bat")
addCreature(16056, "Diseased Maggot")
addCreature(16057, "Rotting Maggot")
addCreature(16060, "Gothik the Harvester")
addCreature(16061, "Instructor Razuvious")
addCreature(16063, "Sir Zeliek")
addCreature(16064, "Thane Korth'azz")
addCreature(16065, "Lady Blaumeux")
addCreature(16067, "Deathcharger Steed")
addCreature(16082, "Naxxramas Trigger")
addCreature(16137, "Naxxramas Military Sub-Boss Trigger")
addCreature(16145, "Death Knight Captain")
addCreature(16146, "Death Knight")
addCreature(16154, "Risen Squire")
addCreature(16156, "Dark Touched Warrior")
addCreature(16163, "Death Knight Cavalier")
addCreature(16164, "Shade of Naxxramas")
addCreature(16165, "Necro Knight")
addCreature(16167, "Bony Construct")
addCreature(16168, "Stoneskin Gargoyle")
addCreature(16193, "Skeletal Smith")
addCreature(16194, "Unholy Axe")
addCreature(16215, "Unholy Staff")
addCreature(16216, "Unholy Swords")
addCreature(16218, "Tesla Coil")
addCreature(16236, "Eye Stalk")
addCreature(16243, "Plague Slime")
addCreature(16244, "Infectious Ghoul")
addCreature(16297, "Mutated Grub")
addCreature(16400, "Toxic Tunnel")
addCreature(16447, "Plagued Ghoul")
addCreature(16505, "Naxxramas Follower")
addCreature(16506, "Naxxramas Worshipper")
addCreature(16803, "Death Knight Understudy")
addCreature(29912, "Obedience Crystal")
addCreature(30071, "Stitched Colossus")
addCreature(30085, "Vigilant Shade")
addCreature(30549, "Baron Rivendare")
addCreature(16142, "Bile Sludge")
addCreature(16286, "Spore")
addCreature(16124, "Unrelenting Trainee")
addCreature(16441, "Guardian of Icecrown")
addCreature(30083, "Marauding Geist")
addCreature(16375, "Sewage Slime")
addCreature(16427, "Soldier of the Frozen Wastes")
addCreature(23561, "Soldier of the Frozen Wastes")
addCreature(16429, "Soul Weaver")
addCreature(23563, "Soul Weaver")
addCreature(16428, "Unstoppable Abomination")
addCreature(23562, "Unstoppable Abomination")
addCreature(16360, "Zombie Chow")
addCreature(16127, "Spectral Trainee")
addCreature(16390, "Deathchill Servant")
addCreature(16573, "Crypt Guard")
addCreature(29818, "Deathcharger Steed")
addCreature(16148, "Spectral Death Knight")
addCreature(16149, "Spectral Horse")
addCreature(16150, "Spectral Rider")
addCreature(16125, "Unrelenting Death Knight")
addCreature(16126, "Unrelenting Rider")
addCreature(15989, "Sapphiron")

-- Vault of Archavon
addCreature(31125, "Archavon the Stone Watcher")
addCreature(32353, "Archavon Warder")
addCreature(33993, "Emalon the Storm Watcher")
addCreature(33998, "Tempest Minion")
addCreature(34015, "Tempest Warder")
addCreature(34230, "Emalon Controller")
addCreature(35013, "Koralon the Flame Watcher")
addCreature(35015, "Burning Breath Koralon Stalker")
addCreature(35143, "Flame Warder")
addCreature(36093, "Vault Stalker")
addCreature(38433, "Toravon the Ice Watcher")
addCreature(38439, "Toravon Stalker")
addCreature(38482, "Frost Warder")
addCreature(34049, "Tempest Minion")

-- Obsidian Sanctum
addCreature(28860, "Sartharion")
addCreature(30449, "Vesperon")
addCreature(30451, "Shadron")
addCreature(30452, "Tenebron")
addCreature(30453, "Onyx Sanctum Guardian")
addCreature(30494, "Safe Area (Sartharion)")
addCreature(30648, "Fire Cyclone")
addCreature(30680, "Onyx Brood General")
addCreature(30681, "Onyx Blaze Mistress")
addCreature(30682, "Onyx Flight Captain")
addCreature(31103, "Twilight Egg (Cosmetic)")
addCreature(31138, "Tenebron Egg Controller")
addCreature(31218, "Acolyte of Shadron")
addCreature(31219, "Acolyte of Vesperon")
addCreature(30688, "Disciple of Shadron")
addCreature(30858, "Disciple of Vesperon")
addCreature(30643, "Lava Blaze")
addCreature(31204, "Sartharion Twilight Egg")
addCreature(31214, "Sartharion Twilight Whelp")
addCreature(30882, "Twilight Egg")
addCreature(30890, "Twilight Whelp")

-- Eye of Eternity
addCreature(32448, "Alexstrasza's Gift")
addCreature(193967, "Alexstrasza's Gift")
addCreature(193905, "Alexstrasza's Gift")

-- Ulduar
-- Chests
addCreature(195046, "Cache of Living Stone")
addCreature(195047, "Cache of Living Stone")
addCreature(194200, "Rare Cache of Winter")
addCreature(194201, "Rare Cache of Winter")
addCreature(194307, "Cache of Winter")
addCreature(194308, "Cache of Winter")
addCreature(194312, "Cache of Storms")
addCreature(194789, "Cache of Innovation")
addCreature(194821, "Gift of the Observer")
addCreature(194822, "Gift of the Observer")
addCreature(194956, "Cache of Innovation")
addCreature(194957, "Cache of Innovation")
addCreature(194958, "Cache of Innovation")
addCreature(195046, "Cache of Living Stone")
addCreature(195047, "Cache of Living Stone")
addCreature(194324, "Freya's Gift")
addCreature(297873, "Titan's Cache")
addCreature(297871, "Titan's Cache")
addCreature(279655, "Cache of Heroic Innovation")
addCreature(279656, "Cache of Heroic Storms")
addCreature(281367, "Cache of Toys")
addCreature(279657, "General's Cache")
addCreature(279654, "Freya's Heroic Gift")
addCreature(297876, "Titan's Cache")
addCreature(297869, "Titan's Cache")
addCreature(297874, "Titan's Cache")
addCreature(297870, "Titan's Cache")
addCreature(297844, "Cache of the Leviathan")
addCreature(297899, "Cache of Toys")
addCreature(297851, "Iron Cache")
addCreature(297852, "Iron Cache")
addCreature(279649, "Cache of the Leviathan")
addCreature(279651, "Cache of Toys")
addCreature(297860, "General's Cache")
addCreature(297850, "Iron Cache")
addCreature(297877, "Titan's Cache")
addCreature(297872, "Titan's Cache")
-- Creatures
addCreature(32845, "Hodir")
addCreature(32857, "Stormcaller Brundir")
addCreature(32865, "Thorim")
addCreature(32867, "Steelbreaker")
addCreature(32872, "Runic Colossus")
addCreature(32873, "Ancient Rune Giant")
addCreature(32874, "Iron Ring Guard")
addCreature(32875, "Iron Honor Guard")
addCreature(32879, "Thorim Controller")
addCreature(32882, "Jormungar Behemoth")
addCreature(32886, "Dark Rune Acolyte")
addCreature(32892, "Thorim Event Bunny")
addCreature(32906, "Freya")
addCreature(32913, "Elder Ironbranch")
addCreature(32914, "Elder Stonebark")
addCreature(32915, "Elder Brightleaf")
addCreature(32922, "Dark Rune Champion")
addCreature(32923, "Dark Rune Commoner")
addCreature(32924, "Dark Rune Evoker")
addCreature(32925, "Dark Rune Warbringer")
addCreature(32927, "Runemaster Molgeim")
addCreature(32930, "Kologarn")
addCreature(33054, "Thorim Trap Bunny")
addCreature(33059, "Wrecked Demolisher")
addCreature(33060, "Salvaged Siege Engine")
addCreature(33062, "Salvaged Chopper")
addCreature(33063, "Wrecked Siege Engine")
addCreature(33109, "Salvaged Demolisher")
addCreature(33110, "Dark Rune Acolyte")
addCreature(33118, "Ignis the Furnace Master")
addCreature(33121, "Iron Construct")
addCreature(33134, "Sara")
addCreature(33140, "Thorim Golem Right Hand Bunny")
addCreature(33141, "Thorim Golem Left Hand Bunny")
addCreature(33186, "Razorscale")
addCreature(33210, "Expedition Commander")
addCreature(33214, "Mechanolift 304-A")
addCreature(33233, "Razorscale Controller")
addCreature(33236, "Steelforged Defender")
addCreature(33237, "Ulduar Colossus")
addCreature(33259, "Expedition Trapper")
addCreature(33264, "Ironwork Cannon")
addCreature(33271, "General Vezax")
addCreature(33280, "Voice of Yogg-Saron")
addCreature(33282, "Razorscale Harpoon Fire State")
addCreature(33287, "Expedition Engineer")
addCreature(33292, "Ominous Cloud")
addCreature(33293, "XT-002 Deconstructor")
addCreature(33329, "Heart of the Deconstructor")
addCreature(33337, "XT-Toy Pile")
addCreature(33350, "Mimiron")
addCreature(33354, "Corrupted Servitor")
addCreature(33355, "Misguided Nymph")
addCreature(33377, "Mortar Targetting Device")
addCreature(33378, "Thunder Orb")
addCreature(33406, "Achievement Trigger Freya")
addCreature(33430, "Guardian Lasher")
addCreature(33431, "Forest Swarmer")
addCreature(33432, "Leviathan Mk II")
addCreature(33500, "Vezax Bunny")
addCreature(33515, "Auriaya")
addCreature(33525, "Mangrove Ent")
addCreature(33526, "Ironroot Lasher")
addCreature(33527, "Nature's Blade")
addCreature(33528, "Guardian of Life")
addCreature(33571, "Ulduar Gauntlet Generator")
addCreature(33575, "Channel Stalker Freya")
addCreature(33579, "Brann Bronzebeard")
addCreature(33620, "Earthen Stoneshaper")
addCreature(33622, "Goran Steelbreaker")
addCreature(33624, "Archmage Pentarus")
addCreature(33626, "Hired Engineer")
addCreature(33627, "Hired Demolitionist")
addCreature(33629, "Weslex Quickwrench")
addCreature(33661, "Armsweep Stalker Kologarn")
addCreature(33662, "Kirin Tor Battle-Mage")
addCreature(33666, "Demolisher Engineer Blastwrench")
addCreature(33669, "Demolisher Engineer Blastwrench")
addCreature(33672, "Kirin Tor Mage")
addCreature(33686, "Lore Keeper of Norgannon")
addCreature(33696, "Archmage Rhydian")
addCreature(33699, "Storm Tempered Keeper")
addCreature(33701, "High Explorer Dellorah")
addCreature(33721, "Lore Keeper Projection Unit")
addCreature(33722, "Storm Tempered Keeper")
addCreature(33725, "Thorim Trap Bunny")
addCreature(33742, "Kologarn Pit Kill Bunny")
addCreature(33754, "Dark Rune Thunderer")
addCreature(33755, "Dark Rune Ravager")
addCreature(33772, "Faceless Horror")
addCreature(33774, "Slain Iron Vrykul")
addCreature(33775, "Slain Iron Dwarf")
addCreature(33779, "Ulduar Shield Bunny")
addCreature(33809, "Rubble Stalker Kologarn")
addCreature(33816, "Expedition Defender")
addCreature(33818, "Twilight Adherent")
addCreature(33819, "Twilight Frost Mage")
addCreature(33820, "Twilight Pyromancer")
addCreature(33822, "Twilight Guardian")
addCreature(33823, "Twilight Slayer")
addCreature(33824, "Twilight Shadowblade")
addCreature(33838, "Enslaved Fire Elemental")
addCreature(33890, "Brain of Yogg-Saron")
addCreature(34014, "Sanctum Sentry")
addCreature(34055, "Thorim Combat Trigger")
addCreature(34069, "Molten Colossus")
addCreature(34071, "Leviathan Mk II")
addCreature(34085, "Forge Construct")
addCreature(34086, "Magma Rager")
addCreature(34133, "Champion of Hodir")
addCreature(34134, "Winter Revenant")
addCreature(34135, "Winter Rumbler")
addCreature(34137, "Winter Jormungar")
addCreature(34146, "Snow Mound (4)")
addCreature(34150, "Snow Mound (6)")
addCreature(34151, "Snow Mound (8)")
addCreature(34159, "Ulduar Gauntlet Generator (small radius)")
addCreature(34164, "Mechagnome Battletank")
addCreature(34183, "Arachnopod Destroyer")
addCreature(34184, "Clockwork Mechanic")
addCreature(34190, "Hardened Iron Golem")
addCreature(34191, "Trash")
addCreature(34192, "Boomer XP-500")
addCreature(34193, "Clockwork Sapper")
addCreature(34196, "Rune Etched Sentry")
addCreature(34197, "Chamber Overseer")
addCreature(34198, "Iron Mender")
addCreature(34199, "Lightning Charged Iron Dwarf")
addCreature(34234, "Runeforged Sentry")
addCreature(34267, "Parts Recovery Technician")
addCreature(34269, "XR-949 Salvagebot")
addCreature(34271, "XD-175 Compactobot")
addCreature(34273, "XB-488 Disposalbot")
addCreature(34286, "Orbital Support")
addCreature(32871, "Algalon the Observer")
addCreature(33113, "Flame Leviathan")
addCreature(32933, "Left Arm")
addCreature(32934, "Right Arm")
addCreature(33288, "Yogg-Saron")
addCreature(33670, "Aerial Command Unit")
addCreature(33536, "Alexstrasza")
addCreature(33203, "Ancient Conservator")
addCreature(33202, "Ancient Water Spirit")
addCreature(34057, "Assault Bot")
addCreature(33717, "Azure Consort")
addCreature(32948, "Battle-Priest Eliza")
addCreature(33836, "Bomb Bot")
addCreature(33235, "Brann Bronzebeard")
addCreature(34064, "Brann Bronzebeard")
addCreature(34120, "Brann's Flying Machine")
addCreature(32907, "Captured Mercenary Captain")
addCreature(32908, "Captured Mercenary Captain")
addCreature(32883, "Captured Mercenary Soldier")
addCreature(32885, "Captured Mercenary Soldier")
addCreature(33715, "Charged Sphere")
addCreature(32955, "Collapsing Star")
addCreature(33983, "Constrictor Tentacle")
addCreature(33985, "Corruptor Tentacle")
addCreature(33966, "Crusher Tentacle")
addCreature(33089, "Dark Matter")
addCreature(32957, "Dark Rune Acolyte")
addCreature(32876, "Dark Rune Champion")
addCreature(32904, "Dark Rune Commoner")
addCreature(32878, "Dark Rune Evoker")
addCreature(33388, "Dark Rune Guardian")
addCreature(33846, "Dark Rune Sentinel")
addCreature(32877, "Dark Rune Warbringer")
addCreature(33453, "Dark Rune Watcher")
addCreature(33567, "Deathsworn Zealot")
addCreature(34072, "Descend Into Madness")
addCreature(32918, "Detonating Lasher")
addCreature(33328, "Elementalist Mahfuun")
addCreature(33719, "Emerald Consort")
addCreature(34147, "Emergency Fire Bot")
addCreature(34144, "Expedition Mercenary")
addCreature(34035, "Feral Defender")
addCreature(33326, "Field Medic Jessi")
addCreature(32938, "Flash Freeze")
addCreature(33241, "Freya")
addCreature(33436, "Garona")
addCreature(165189, "Generic Hunter Pet")
addCreature(33136, "Guardian of Yogg-Saron")
addCreature(33213, "Hodir")
addCreature(34224, "Ice Turret")
addCreature(145910, "Ignis the Furnace Master")
addCreature(33988, "Immortal Guardian")
addCreature(33125, "Iron Honor Guard")
addCreature(33855, "Junk Bot")
addCreature(33333, "Kar Greycloud")
addCreature(33437, "King Llane")
addCreature(34004, "Life Spark")
addCreature(33189, "Liquid Pyrite")
addCreature(33052, "Living Constellation")
addCreature(33535, "Malygos")
addCreature(34161, "Mechanostriker 54-A")
addCreature(33244, "Mimiron")
addCreature(33523, "Neltharion")
addCreature(33720, "Obsidian Consort")
addCreature(33957, "Prospector Loren")
addCreature(34362, "Proximity Mine")
addCreature(33768, "Rubble")
addCreature(33716, "Ruby Consort")
addCreature(34288, "Salvagebot Sawblade")
addCreature(33524, "Saronite Animus")
addCreature(33488, "Saronite Vapors")
addCreature(32916, "Snaplasher")
addCreature(33332, "Spiritwalker Tara")
addCreature(33572, "Steelforged Defender")
addCreature(32919, "Storm Lasher")
addCreature(33433, "Suit of Armor")
addCreature(33441, "The Lich King")
addCreature(33242, "Thorim")
addCreature(32941, "Tor Greycloud")
addCreature(34097, "Unleashed Dark Matter")
addCreature(33806, "Void Beast")
addCreature(33651, "VX-001")
addCreature(33387, "Writhing Lasher")
addCreature(33346, "XE-321 Boombot")
addCreature(33344, "XM-024 Pummeller")
addCreature(33343, "XS-013 Scrapbot")

-- Trial of the Crusader
-- Chests
addCreature(195631, "Champions' Cache")
addCreature(195633, "Champions' Cache")
-- Creatures
addCreature(34564, "Anub'arak")
addCreature(34743, "Val'kyr Twins Bullet Controller")
addCreature(34781, "Champions Controller")
addCreature(34990, "King Varian Wrynn")
addCreature(34992, "Lady Jaina Proudmoore")
addCreature(34994, "Thrall")
addCreature(34995, "Garrosh Hellscream")
addCreature(34996, "Highlord Tirion Fordring")
addCreature(35014, "Beasts Controller")
addCreature(35376, "Jump Target")
addCreature(35820, "Beasts Taplist")
addCreature(35821, "Champions Taplist")
addCreature(36099, "Anub'arak Tap List")
addCreature(35144, "Acidmaw")
addCreature(34467, "Alyssia Moonstalker")
addCreature(34466, "Anthar Forgemender")
addCreature(34471, "Baelnor Lightbearer")
addCreature(34451, "Birana Stormhoof")
addCreature(34473, "Brienna Nightfell")
addCreature(34455, "Broln Stouthorn")
addCreature(34447, "Caiphus the Stern")
addCreature(34799, "Dreadscale")
addCreature(34459, "Erin Misthoof")
addCreature(34496, "Eydis Darkbane")
addCreature(34497, "Fjola Lightbane")
addCreature(34449, "Ginselle Blightslinger")
addCreature(34458, "Gorgrim Shadowcleave")
addCreature(34796, "Gormok the Impaler")
addCreature(34450, "Harkzog")
addCreature(34797, "Icehowl")
addCreature(34472, "Irieth Shadowstep")
addCreature(34460, "Kavina Grovesong")
addCreature(34445, "Liandra Suncaller")
addCreature(34780, "Lord Jaraxxus")
addCreature(34456, "Malithas Brightblade")
addCreature(34454, "Maz'dinah")
addCreature(34469, "Melador Valestrider")
addCreature(34453, "Narrhok Steelbreaker")
addCreature(34468, "Noozle Whizzlestick")
addCreature(34448, "Ruj'kah")
addCreature(34470, "Saamul")
addCreature(34474, "Serissa Grimdabbler")
addCreature(34463, "Shaabad")
addCreature(34475, "Shocuul")
addCreature(34444, "Thrakgar")
addCreature(34461, "Tyrius Duskblade")
addCreature(34465, "Velanaa")
addCreature(34441, "Vivienne Blackwhisper")
addCreature(36097, "Argent Mage")
addCreature(34816, "Barrett Ramsey")
addCreature(35035, "Barrett Ramsey")
addCreature(35766, "Barrett Ramsey")
addCreature(35770, "Barrett Ramsey")
addCreature(35771, "Barrett Ramsey")
addCreature(35909, "Barrett Ramsey")
addCreature(34567, "Dark Essence")
addCreature(34815, "Felflame Infernal")
addCreature(34606, "Frost Sphere")
addCreature(36095, "Highlord Tirion Fordring")
addCreature(34813, "Infernal Volcano")
addCreature(34568, "Light Essence")
addCreature(34826, "Mistress of Pain")
addCreature(34607, "Nerubian Burrower")
addCreature(34825, "Nether Portal")
addCreature(35763, "Skittering Scarab")
addCreature(34800, "Snobold Vassal")
addCreature(34605, "Swarm Scarab")
addCreature(35877, "The Lich King")
addCreature(36070, "Treant")
addCreature(34704, "Val'kyr Twins Bullet Stalker Dark")
addCreature(34720, "Val'kyr Twins Bullet Stalker Light")
addCreature(35458, "Wilfred Fizzlebang")
addCreature(35465, "Zhaagrym")

-- Onyxia's Lair
addCreature(10184, "Onyxia")
addCreature(12129, "Onyxian Warder")
addCreature(36561, "Onyxian Lair Guard")
addCreature(162255, "Onyxian Warder")
addCreature(11262, "Onyxian Whelp")
addCreature(23789, "Smolderwing")

-- Icecrown Citadel
-- Chests
addCreature(201873, "Gunship Armory")
addCreature(202239, "Deathbringer's Cache")
addCreature(202240, "Deathbringer's Cache")
addCreature(201959, "Cache of the Dreamwalker")
addCreature(202241, "Deathbringer's Cache")
addCreature(202178, "Gunship Armory")
addCreature(202180, "Gunship Armory")
addCreature(202177, "Gunship Armory")
addCreature(202179, "Gunship Armory")
-- Creatures
addCreature(10404, "Pustulating Horror")
addCreature(36597, "The Lich King")
addCreature(36612, "Lord Marrowgar")
addCreature(36626, "Festergut")
addCreature(36627, "Rotface")
addCreature(36659, "Abomination Wing Orange Gas Stalker")
addCreature(36678, "Professor Putricide")
addCreature(36724, "Servant of the Throne")
addCreature(36725, "Nerub'ar Broodkeeper")
addCreature(36789, "Valithria Dreamwalker")
addCreature(36805, "Deathspeaker Servant")
addCreature(36807, "Deathspeaker Disciple")
addCreature(36808, "Deathspeaker Zealot")
addCreature(36811, "Deathspeaker Attendant")
addCreature(36829, "Deathspeaker High Priest")
addCreature(36855, "Lady Deathwhisper")
addCreature(36880, "Decaying Colossus")
addCreature(36998, "Skybreaker Protector")
addCreature(37003, "Skybreaker Vindicator")
addCreature(37004, "Skybreaker Dreadblade")
addCreature(37007, "Deathbound Ward")
addCreature(37011, "The Damned")
addCreature(37012, "Ancient Skeletal Soldier")
addCreature(37013, "Puddle Stalker")
addCreature(37016, "Skybreaker Luminary")
addCreature(37022, "Blighted Abomination")
addCreature(37023, "Plague Scientist")
addCreature(37025, "Stinky")
addCreature(37027, "Skybreaker Hierophant")
addCreature(37029, "Kor'kron Reaver")
addCreature(37030, "Kor'kron Primalist")
addCreature(37031, "Kor'kron Oracle")
addCreature(37032, "Kor'kron Defender")
addCreature(37033, "Kor'kron Invoker")
addCreature(37038, "Vengeful Fleshreaper")
addCreature(37098, "Val'kyr Herald")
addCreature(37119, "Highlord Tirion Fordring")
addCreature(37120, "Highlord Darion Mograine")
addCreature(37122, "Captain Arnath")
addCreature(37123, "Captain Brandon")
addCreature(37124, "Captain Grondel")
addCreature(37125, "Captain Rupert")
addCreature(37126, "Sister Svalna")
addCreature(37127, "Ymirjar Frostbinder")
addCreature(37129, "Crok Scourgebane")
addCreature(37132, "Ymirjar Battle-Maiden")
addCreature(37133, "Ymirjar Warlord")
addCreature(37134, "Ymirjar Huntress")
addCreature(37144, "Skybreaker Marksman")
addCreature(37146, "Kor'kron Sniper")
addCreature(37148, "Skybreaker Summoner")
addCreature(37149, "Kor'kron Necrolyte")
addCreature(37181, "The Lich King")
addCreature(37183, "Highlord Bolvar Fordragon")
addCreature(37217, "Precious")
addCreature(37528, "Spire Frostwyrm (Ambient)")
addCreature(37531, "Frostwarden Handler")
addCreature(37532, "Frostwing Whelp")
addCreature(37533, "Rimefang")
addCreature(37534, "Spinestalker")
addCreature(37544, "Spire Gargoyle")
addCreature(37545, "Spire Minion")
addCreature(37546, "Frenzied Abomination")
addCreature(37571, "Darkfallen Advisor")
addCreature(37586, "Fury")
addCreature(37589, "Stefan Vadu")
addCreature(37595, "Darkfallen Blood Knight")
addCreature(37662, "Darkfallen Commander")
addCreature(37663, "Darkfallen Noble")
addCreature(37664, "Darkfallen Archmage")
addCreature(37665, "Darkfallen Lieutenant")
addCreature(37666, "Darkfallen Tactician")
addCreature(37687, "Alchemist Finklestein")
addCreature(37688, "Crusader Grimtong")
addCreature(37689, "Commander Kunz")
addCreature(37696, "Crusader Halford")
addCreature(37744, "Frost Freeze Trap")
addCreature(37813, "Deathbringer Saurfang")
addCreature(37824, "Abomination Wing Mad Scientist Stalker")
addCreature(37868, "Risen Archmage")
addCreature(37928, "Argent Champion")
addCreature(37947, "Deathwhisper Spawn Stalker")
addCreature(37948, "Deathwhisper Controller")
addCreature(37955, "Blood-Queen Lana'thel")
addCreature(37965, "Argent Commander")
addCreature(37967, "Ebon Blade Commander")
addCreature(37970, "Prince Valanar")
addCreature(37972, "Prince Keleseth")
addCreature(37973, "Prince Taldaram")
addCreature(37996, "Ebon Champion")
addCreature(38004, "Blood-Queen Lana'thel")
addCreature(38008, "Blood Orb Controller")
addCreature(38054, "Scott the Merciful")
addCreature(38125, "Ymirjar Deathbringer")
addCreature(38194, "Torgo the Elder")
addCreature(38316, "Ormus the Penitent")
addCreature(38569, "Martyr Stalker (IGB/Saurfang)")
addCreature(38858, "Goodman the \"Closer\"")
addCreature(38879, "Putricide's Trap")
addCreature(38995, "Highlord Tirion Fordring")
addCreature(39509, "Aronen")
addCreature(36939, "High Overlord Saurfang")
addCreature(36948, "Muradin Bronzebeard")
addCreature(36853, "Sindragosa")
addCreature(37999, "Alana Moonstrike")
addCreature(37190, "Alliance Commander")
addCreature(36838, "Alliance Gunship Cannon")
addCreature(37935, "Apothecary Candith Tomas")
addCreature(36791, "Blazing Skeleton")
addCreature(37934, "Blistering Zombie")
addCreature(111090, "Bloatstench")
addCreature(36619, "Bone Spike")
addCreature(36624, "Caladis Brightspear")
addCreature(32175, "Chosen Zealot")
addCreature(38184, "Corrupted Ymirjar")
addCreature(37949, "Cult Adherent")
addCreature(37890, "Cult Fanatic")
addCreature(32349, "Cultist Shard Watcher")
addCreature(38369, "Dark Nucleus")
addCreature(32241, "Disguised Crusader")
addCreature(37945, "Dream Portal")
addCreature(37695, "Drudge Ghoul")
addCreature(31691, "Faceless Lurker")
addCreature(111094, "Fetid Scraps")
addCreature(37782, "Flesh-eating Insect")
addCreature(37229, "Frostwarden Sorceress")
addCreature(37228, "Frostwarden Warrior")
addCreature(39372, "Garrosh Hellscream")
addCreature(37562, "Gas Cloud")
addCreature(165189, "Generic Hunter Pet")
addCreature(37993, "Gerardo the Suave")
addCreature(37886, "Gluttonous Abomination")
addCreature(175692, "Gravid Devourer Mite")
addCreature(38181, "Haragg the Unseen")
addCreature(32278, "Harbinger of Horror")
addCreature(32272, "High Invoker Basaleph")
addCreature(37187, "High Overlord Saurfang")
addCreature(32239, "Highlord Tirion Fordring")
addCreature(36839, "Horde Gunship Cannon")
addCreature(36633, "Ice Sphere")
addCreature(36980, "Ice Tomb")
addCreature(37991, "Ikfirus the Vile")
addCreature(38840, "Jedebia")
addCreature(39371, "King Varian Wrynn")
addCreature(36968, "Kor'kron Axethrower")
addCreature(37117, "Kor'kron Battle-Mage")
addCreature(37189, "Kor'kron General")
addCreature(36957, "Kor'kron Reaver")
addCreature(37920, "Kor'kron Reaver")
addCreature(37034, "Kor'kron Templar")
addCreature(37035, "Kor'kron Vanquisher")
addCreature(38606, "Lady Jaina Proudmoore")
addCreature(38609, "Lady Sylvanas Windrunner")
addCreature(36897, "Little Ooze")
addCreature(38283, "Malfus Grimfrost")
addCreature(31237, "Matthias Lehner")
addCreature(37936, "Morgan Dayblaze")
addCreature(37200, "Muradin Bronzebeard")
addCreature(38607, "Muradin Bronzebeard")
addCreature(36642, "Myralion Sunblaze")
addCreature(37232, "Nerub'ar Broodling")
addCreature(37501, "Nerub'ar Champion")
addCreature(37502, "Nerub'ar Webweaver")
addCreature(38182, "Niby the Almighty")
addCreature(38430, "Nightmare Portal")
addCreature(36971, "Orgrim's Hammer Crew")
addCreature(38228, "Plagued Insect")
addCreature(38104, "Plagued Zombie")
addCreature(36701, "Raging Spirit")
addCreature(36844, "Risen Deathspeaker Servant")
addCreature(37907, "Rot Worm")
addCreature(37698, "Shambling Horror")
addCreature(37017, "Skybreaker Assassin")
addCreature(36970, "Skybreaker Deckhand")
addCreature(36950, "Skybreaker Marine")
addCreature(37830, "Skybreaker Marine")
addCreature(36978, "Skybreaker Mortar Soldier")
addCreature(36969, "Skybreaker Rifleman")
addCreature(37026, "Skybreaker Sorcerer")
addCreature(37116, "Skybreaker Sorcerer")
addCreature(37021, "Skybreaker Vicar")
addCreature(37230, "Spire Frostwyrm")
addCreature(111093, "Stitchwork")
addCreature(37863, "Suppresser")
addCreature(37998, "Talan Moonstrike")
addCreature(37227, "Teleport Portal")
addCreature(38579, "Terenas Menethil")
addCreature(32184, "The Lich King")
addCreature(37992, "Tortunok")
addCreature(38608, "Uther the Lightbringer")
addCreature(38284, "Uvlus Banefire")
addCreature(37901, "Vampiric Fiend")
addCreature(111095, "Vile Creeper")
addCreature(38841, "Vol'guk")
addCreature(37697, "Volatile Ooze")
addCreature(38154, "Warhawk")
addCreature(38028, "Web Wrap")
addCreature(39190, "Wicked Spirit")
addCreature(37997, "Yili")
addCreature(37184, "Zafod Boombox")

-- Ruby Sanctum
addCreature(39746, "General Zarithrian")
addCreature(39747, "Saviana Ragefire")
addCreature(39751, "Baltharus the Warborn")
addCreature(40146, "Halion Controller")
addCreature(40417, "Charscale Invoker")
addCreature(40419, "Charscale Assaulter")
addCreature(40421, "Charscale Elite")
addCreature(40423, "Charscale Commander")
addCreature(40429, "Sanctum Guardian Xerestrasza")
addCreature(40626, "Ruby Drakonid")
addCreature(40627, "Ruby Drake")
addCreature(40628, "Ruby Scalebane")
addCreature(39863, "Halion")
addCreature(39899, "Baltharus the Warborn")
addCreature(40142, "Halion")
addCreature(40683, "Living Ember")
addCreature(40681, "Living Inferno")
addCreature(39814, "Onyx Flamecaller")
